Bootstrap di Twitter – Form Input troppo sottile

Sto usando Bootstrap di Twitter per creare l’HTML / CSS per il mio sito web. Ho incontrato un problema durante la creazione dei moduli, tuttavia:

screenshot dell'errore

Come puoi vedere gli input sono troppo magri per il testo. Ho provato con il mio codice, oltre a copiare / incollare il codice esatto dalla loro documentazione:

http://twitter.github.com/bootstrap/base-css.html#forms

Sto includendo due risorse:

  

Per quanto posso dire che stanno caricando correttamente. Mi manca una risorsa?

Accidenti. Mi mancava

  

nella parte superiore del documento.

La correzione non ha funzionato per me. Ma ciò che è stato utile è stato trovare e rimuovere seguendo la nostra base di codice:

 *, *:before, *:after { -webkit-box-sizing: border-box; -moz-box-sizing: border-box; box-sizing: border-box; } 

Ho avuto questo problema e mi ha fatto impazzire per ore perché la causa era completamente invisibile. Ho già il e tutto il codice era perfetto. Il problema si è rivelato essere la codifica del file di testo.

Usando il comando ‘file’ di linux abbiamo mostrato il file sorgente codificato come: “script PHP, UTF-8 Unicode (con BOM) testo”.
L’esecuzione di “altro” sul file mostra alcuni caratteri inutili (ï »¿) all’inizio dei file. Ho creato nuovi file all’interno di Linux e copiato / incollato il codice e tutto ha iniziato a funzionare come previsto.

Ciò che per me è stato risolto è stato l’aggiunta di class="form-control" all’input.

Ok, ho avuto lo stesso problema e dopo settimane alla ricerca di una soluzione, questo ragazzo ha risolto il mio problema!

ottenere application.css per sovrascrivere il bootstrap

1 – crea il file assets / stylesheets / my_styles.css.scss

2 – inserisci il codice seguente nel file my_styles.css.scss :

 input[type=text], input[type=password], input[type=email], input[type=tel] { height: 33px !important;} 

3 – In assets / stylesheets / application.css, inserisci questo:

 *= require my_styles 

dopo che i bootstrap richiedono … nel mio caso è:

 *= require font-awesome *= require bootstrap_sb_admin_base_v2 *= require_self *= require my_styles *= require_tree . */ 

Spero che aiuti qualcuno nei guai!